Adding a surf-open.sh script for easier tabbed(1) integration.
authorChristoph Lohmann <20h@r-36.net>
Fri, 16 Nov 2012 15:12:09 +0000 (16:12 +0100)
committerChristoph Lohmann <20h@r-36.net>
Fri, 16 Nov 2012 15:12:09 +0000 (16:12 +0100)
README
config.def.h
surf-open.sh [new file with mode: 0755]

diff --git a/README b/README
index 229d913..c87b69b 100644 (file)
--- a/README
+++ b/README
@@ -17,9 +17,22 @@ necessary as root):
 
     make clean install
 
-
 Running surf
 ------------
 run
-       surf [URL]
+       surf [URI]
+
+See the manpage for further options.
+
+Running surf in tabbed
+----------------------
+For running surf in tabbed[0] there is a script included in the distribution,
+which is run like this:
+
+       surf-open.sh [URI]
+
+Further invocations of the script will run surf with the specified URI in this
+instance of tabbed.
+
+[0] http://tools.suckless.org/tabbed
 
index 0a16f3e..9c1a76a 100644 (file)
@@ -13,6 +13,8 @@ static time_t sessiontime   = 3600;
 static char *cafile         = "/etc/ssl/certs/ca-certificates.crt";
 static char *strictssl      = FALSE; /* Refuse untrusted SSL connections */
 static int   indicator_thickness = 2;
+
+/* Webkit features */
 static Bool spatialbrowsing = TRUE;
 static Bool hidebackground  = FALSE;
 
diff --git a/surf-open.sh b/surf-open.sh
new file mode 100755 (executable)
index 0000000..29036f8
--- /dev/null
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# See the LICENSE file for copyright and license details. 
+#
+
+xidfile="$HOME/tmp/tabbed-surf.xid"
+uri=""
+
+if [ "$#" -gt 0 ];
+then
+       uri="$1"
+fi
+
+runtabbed() {
+       tabbed -dn tabbed-surf -r 2 surf -e '' "$uri" >"$xidfile" \
+               2>/dev/null &
+}
+
+if [ ! -r "$xidfile" ];
+then
+       runtabbed
+else
+       xid=$(cat "$xidfile")
+       xprop -id "$xid" 2>&1 >/dev/null
+       if [ $? -gt 0 ];
+       then
+               runtabbed
+       else
+               surf -e "$xid" "$uri" 2>&1 >/dev/null &
+       fi
+fi
+